const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v4_3 = __asm_movupd(*((esi_global_2d_to_2d_local - 120)));
    v4_8 = __asm_movsd(*((esi_global_2d_to_2d_local - 104)));
    v5_d = __asm_mulpd(v4_3, *((edi_global_2d_to_2d_local - 32)));
    v5_12 = __asm_mulsd(v4_8, *((edi_global_2d_to_2d_local - 32))) # bp+12;
    v5_17 = __asm_addpd(v5_d, *((edi_global_2d_to_2d_local - 64))) # bp+17;
    v5_1c = __asm_addsd(v5_12, *((edi_global_2d_to_2d_local - 48)));
    if *((edi_global_2d_to_2d_local - 76)) != 0:;
        v4_27 = __asm_movsd(esi_global_2d_to_2d_local[112]) # bp+27;
        v5_2c = __asm_mulsd(v4_27, *((edi_global_2d_to_2d_local - 32)));
        __asm_movupd_1(*((esi_global_2d_to_2d_local - 120)), v5_17);
        *((esi_global_2d_to_2d_local - 104)) = __asm_movsd_2(v5_1c);
        esi_global_2d_to_2d_local[112] = __asm_movsd_2(v5_2c);
    __asm_movupd_1(stack_var__2d_28, v5_17);
    v1_45 = __asm_movsd_2(v5_1c) # bp+45;
    v8_62 = stack_var__2d_28 # bp+62;
    if *((edi_global_2d_to_2d_local - 80)) != 0:;
        # 0x62;
        st7_global_2d_to_2d_local = fabsl(v8_62);
        fabs(tmp260);
        v0_6f = __asm_wait();
        v1_70 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+70;
        z.x_global_2d_to_2d_local = v0_6f & -0x10000 | v1_70 & -0xff01 | v1_70 / 2 & 0x7f00;
        v0_7f = edi_global_2d_to_2d_local;
        v1_7c = st7_global_2d_to_2d_local;
    else:;
        # 0x51;
        v0_7f = edi_global_2d_to_2d_local;
        v1_7c = sqrtl(tmp260 * tmp260 + v8_62 * v8_62);
    v7_7c = v1_7c - *((v0_7f - 16));
    if *((v0_7f - 84)) != 0:;
        # 0x93;
        st7_global_2d_to_2d_local = fabsl(v7_7c);
        st6_global_2d_to_2d_local = fabs(v1_45);
        v0_9d = __asm_wait();
        v1_9e = __asm_fnstsw(fpsw_global_2d_to_2d_local);
        z.x_global_2d_to_2d_local = v0_9d & -0x10000 | v1_9e & -0xff01 | v1_9e / 2 & 0x7f00;
        if v1_9e & 256 == 0:;
            pass;
        else:;
            # 0xa4;
            st6_global_2d_to_2d_local = st7_global_2d_to_2d_local;
    else:;
        # 0x85;
        st6_global_2d_to_2d_local = sqrtl(v1_45 * v1_45 + v7_7c * v7_7c);
    v4_b3 = st6_global_2d_to_2d_local - *((edi_global_2d_to_2d_local - 72)) + stack_var__2d_28 * *((edi_global_2d_to_2d_local - 92));
    if *((edi_global_2d_to_2d_local - 76)) == 0:;
        # 0xbb;
        v1_be = v4_b3 / *((edi_global_2d_to_2d_local - 32));
    else:;
        v1_be = v4_b3;
    # 0xbe;
    *((esi_global_2d_to_2d_local - 32)) = v1_be;
    return z.x_global_2d_to_2d_local;


	}